Search API

- Preparing search index...
- The search index is not available

Show Summaries
GoJS® Diagramming Components
version 1.8.15 for JavaScript/HTML
by Northwoods Software®

## Class ForceDirectedEdge

Extends LayoutEdge. This holds ForceDirectedLayout-specific information about Links.

This class inherits from LayoutEdge.

## Constructor Summary Details

Name | Description
--- | ---
ForceDirectedEdge() |

## Properties Summary Details

Name, Value Type | Description
--- | ---
length {number} | Gets or sets the length of this edge.More... The default value is NaN.
stiffness {number} | Gets or sets this edge's stiffness or resistance to compression or stretching.More... The default value is NaN.

Properties borrowed from class LayoutEdge:
  data, fromVertex, link, network, toVertex

Methods borrowed from class LayoutEdge:
  commit, getOtherVertex